package cn.iocoder.yudao.module.infra.service.db;

import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.framework.mybatis.core.util.JdbcUtils;
import cn.iocoder.yudao.module.infra.controller.admin.db.vo.DataSourceConfigSaveReqVO;
import cn.iocoder.yudao.module.infra.dal.dataobject.db.DataSourceConfigDO;
import cn.iocoder.yudao.module.infra.dal.dataobject.db.ProBasicPowerstationDO;
import cn.iocoder.yudao.module.infra.dal.mysql.db.DataSourceConfigMapper;
import cn.iocoder.yudao.module.infra.dal.mysql.db.ProBasicPowerstationMapper;
import com.baomidou.dynamic.datasource.creator.DataSourceProperty;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceProperties;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import java.util.List;
import java.util.Objects;

import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;
import static cn.iocoder.yudao.module.infra.enums.ErrorCodeConstants.DATA_SOURCE_CONFIG_NOT_EXISTS;
import static cn.iocoder.yudao.module.infra.enums.ErrorCodeConstants.DATA_SOURCE_CONFIG_NOT_OK;


@Service
@Validated
public class ProBasicPowerstationDOServiceImpl implements ProBasicPowerstationService {

    @Resource
    private ProBasicPowerstationMapper ProBasicPowerstationMapper;

    @Override
    public  List<ProBasicPowerstationDO> getYardStationData() {
        List<ProBasicPowerstationDO>  ls= ProBasicPowerstationMapper.selectList();
        return ls;
    }



}
